## glm 1.0.1+ds

=== test/cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6 FATAL_ERROR)
cmake_policy(VERSION 3.6)
project(test_find_glm)

find_package(glm REQUIRED)

add_executable(test_find_glm test_find_glm.cpp)
target_link_libraries(test_find_glm glm::glm)

=== test/core/CMakeLists.txt ===
glmCreateTestGTC(core_cpp_constexpr)
glmCreateTestGTC(core_cpp_defaulted_ctor)
glmCreateTestGTC(core_force_aligned_gentypes)
glmCreateTestGTC(core_force_ctor_init)
glmCreateTestGTC(core_force_arch_unknown)
glmCreateTestGTC(core_force_compiler_unknown)
glmCreateTestGTC(core_force_explicit_ctor)
glmCreateTestGTC(core_force_inline)
glmCreateTestGTC(core_force_platform_unknown)
glmCreateTestGTC(core_force_pure)
glmCreateTestGTC(core_force_unrestricted_gentype)
glmCreateTestGTC(core_force_xyzw_only)
glmCreateTestGTC(core_force_quat_wxyz)
glmCreateTestGTC(core_type_aligned)
glmCreateTestGTC(core_type_cast)
glmCreateTestGTC(core_type_ctor)
glmCreateTestGTC(core_type_int)
glmCreateTestGTC(core_type_length)
glmCreateTestGTC(core_type_mat2x2)
glmCreateTestGTC(core_type_mat2x3)
glmCreateTestGTC(core_type_mat2x4)
glmCreateTestGTC(core_type_mat3x2)
glmCreateTestGTC(core_type_mat3x3)
glmCreateTestGTC(core_type_mat3x4)
glmCreateTestGTC(core_type_mat4x2)
glmCreateTestGTC(core_type_mat4x3)
glmCreateTestGTC(core_type_mat4x4)
glmCreateTestGTC(core_type_vec1)
glmCreateTestGTC(core_type_vec2)
glmCreateTestGTC(core_type_vec3)
glmCreateTestGTC(core_type_vec4)
glmCreateTestGTC(core_func_common)
glmCreateTestGTC(core_func_exponential)
glmCreateTestGTC(core_func_geometric)
glmCreateTestGTC(core_func_integer)
glmCreateTestGTC(core_func_integer_bit_count)
glmCreateTestGTC(core_func_integer_find_lsb)
glmCreateTestGTC(core_func_integer_find_msb)
glmCreateTestGTC(core_func_matrix)
glmCreateTestGTC(core_func_noise)
glmCreateTestGTC(core_func_packing)
glmCreateTestGTC(core_func_trigonometric)
glmCreateTestGTC(core_func_vector_relational)
glmCreateTestGTC(core_func_swizzle)
glmCreateTestGTC(core_setup_force_cxx_unknown)
glmCreateTestGTC(core_setup_force_cxx98)
glmCreateTestGTC(core_setup_force_cxx03)
glmCreateTestGTC(core_setup_force_size_t_length)
glmCreateTestGTC(core_setup_message)
glmCreateTestGTC(core_setup_platform_unknown)
glmCreateTestGTC(core_setup_precision)

=== test/gtc/CMakeLists.txt ===
glmCreateTestGTC(gtc_bitfield)
glmCreateTestGTC(gtc_color_space)
glmCreateTestGTC(gtc_constants)
glmCreateTestGTC(gtc_epsilon)
glmCreateTestGTC(gtc_integer)
glmCreateTestGTC(gtc_matrix_access)
glmCreateTestGTC(gtc_matrix_integer)
glmCreateTestGTC(gtc_matrix_inverse)
glmCreateTestGTC(gtc_matrix_transform)
glmCreateTestGTC(gtc_noise)
glmCreateTestGTC(gtc_packing)
glmCreateTestGTC(gtc_quaternion)
glmCreateTestGTC(gtc_random)
glmCreateTestGTC(gtc_round)
glmCreateTestGTC(gtc_reciprocal)
glmCreateTestGTC(gtc_type_aligned)
glmCreateTestGTC(gtc_type_precision)
glmCreateTestGTC(gtc_type_ptr)
glmCreateTestGTC(gtc_ulp)
glmCreateTestGTC(gtc_vec1)

=== test/gtx/CMakeLists.txt ===
glmCreateTestGTC(gtx)
glmCreateTestGTC(gtx_associated_min_max)
glmCreateTestGTC(gtx_closest_point)
glmCreateTestGTC(gtx_color_encoding)
glmCreateTestGTC(gtx_color_space_YCoCg)
glmCreateTestGTC(gtx_color_space)
glmCreateTestGTC(gtx_common)
glmCreateTestGTC(gtx_compatibility)
glmCreateTestGTC(gtx_component_wise)
glmCreateTestGTC(gtx_easing)
glmCreateTestGTC(gtx_euler_angle)
glmCreateTestGTC(gtx_extend)
glmCreateTestGTC(gtx_extended_min_max)
glmCreateTestGTC(gtx_exterior_product)
glmCreateTestGTC(gtx_fast_exponential)
glmCreateTestGTC(gtx_fast_square_root)
glmCreateTestGTC(gtx_fast_trigonometry)
glmCreateTestGTC(gtx_functions)
glmCreateTestGTC(gtx_gradient_paint)
glmCreateTestGTC(gtx_handed_coordinate_space)
glmCreateTestGTC(gtx_hash)
glmCreateTestGTC(gtx_integer)
glmCreateTestGTC(gtx_intersect)
glmCreateTestGTC(gtx_io)
glmCreateTestGTC(gtx_load)
glmCreateTestGTC(gtx_log_base)
glmCreateTestGTC(gtx_matrix_cross_product)
glmCreateTestGTC(gtx_matrix_decompose)
glmCreateTestGTC(gtx_matrix_factorisation)
glmCreateTestGTC(gtx_matrix_interpolation)
glmCreateTestGTC(gtx_matrix_major_storage)
glmCreateTestGTC(gtx_matrix_operation)
glmCreateTestGTC(gtx_matrix_query)
glmCreateTestGTC(gtx_matrix_transform_2d)
glmCreateTestGTC(gtx_norm)
glmCreateTestGTC(gtx_normal)
glmCreateTestGTC(gtx_normalize_dot)
glmCreateTestGTC(gtx_orthonormalize)
glmCreateTestGTC(gtx_optimum_pow)
glmCreateTestGTC(gtx_pca)
glmCreateTestGTC(gtx_perpendicular)
glmCreateTestGTC(gtx_polar_coordinates)
glmCreateTestGTC(gtx_projection)
glmCreateTestGTC(gtx_quaternion)
glmCreateTestGTC(gtx_dual_quaternion)
glmCreateTestGTC(gtx_range)
glmCreateTestGTC(gtx_rotate_normalized_axis)
glmCreateTestGTC(gtx_rotate_vector)
glmCreateTestGTC(gtx_scalar_multiplication)
glmCreateTestGTC(gtx_scalar_relational)
glmCreateTestGTC(gtx_spline)
glmCreateTestGTC(gtx_string_cast)
glmCreateTestGTC(gtx_texture)
glmCreateTestGTC(gtx_type_aligned)
glmCreateTestGTC(gtx_type_trait)
glmCreateTestGTC(gtx_vec_swizzle)
glmCreateTestGTC(gtx_vector_angle)
glmCreateTestGTC(gtx_vector_query)
glmCreateTestGTC(gtx_wrap)

=== debian/changelog ===
glm (1.0.1+ds-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Wed, 05 Nov 2025 14:08:13 +0100

glm (1.0.1+ds-2) experimental; urgency=low

  * Set ARCH_INDEPENDENT in the CMake version file

 -- Andrea Pappacoda <tachi@debian.org>  Mon, 15 Sep 2025 12:24:11 +0200

glm (1.0.1+ds-1) experimental; urgency=medium

  [ Timo Röhling ]
  * New upstream version 1.0.1+ds (Closes: #1109890, #1112959)
  * Update patches.
    - Obsolete: cmake-install-target.patch
    - Added: pkg-config.patch
    - Added: cmake-config.patch
    - Merged: manual-markdown-fixes.patch
  * Continue installing library as header only

  [ Andrea Pappacoda ]
  * Switch to dgit-maint-merge(7) workflow
  * d/watch: update to version 5

 -- Andrea Pappacoda <tachi@debian.org>  Sun, 14 Sep 2025 19:34:58 +0200

glm (0.9.9.8+ds-9) unstable; urgency=low

  * d/control: declare dpkg-build-api = 1
  * d/control: use my @debian.org email address
  * d/README.source: document packaging workflow

 -- Andrea Pappacoda <tachi@debian.org>  Wed, 09 Apr 2025 17:53:41 +0200

glm (0.9.9.8+ds-8) unstable; urgency=low

  * First dgit upload
  * d/tests: bump minimum CMake version to 3.10 (Closes: #1087865)

 -- Andrea Pappacoda <andrea@pappacoda.it>  Wed, 08 Jan 2025 19:16:44 +0100

glm (0.9.9.8+ds-7) unstable; urgency=medium

  [ Andrea Pappacoda ]
  * d/tests: bump cmake_minimum_required to 3.8 (Closes: #1040728)

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.

 -- Andrea Pappacoda <andrea@pappacoda.it>  Thu, 27 Jul 2023 17:49:04 +0200

glm (0.9.9.8+ds-6) unstable; urgency=medium

  * d/libglm.doc-base: split into api and manual

 -- Andrea Pappacoda <andrea@pappacoda.it>  Mon, 19 Sep 2022 23:07:09 +0200

glm (0.9.9.8+ds-5) unstable; urgency=medium

  * d/libglm-doc.install: install manual.html images
  * d/rules: enable syntax highlighting in manual.html

 -- Andrea Pappacoda <andrea@pappacoda.it>  Mon, 19 Sep 2022 13:56:51 +0200

glm (0.9.9.8+ds-4) unstable; urgency=medium

  * d/patches: strip absolute path from Doxygen docs
  * d/rules: build and install markdown manual

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sat, 17 Sep 2022 18:58:33 +0200

glm (0.9.9.8+ds-3) unstable; urgency=medium

  * d/control: add myself to the uploaders (Closes: #963501)
  * d/control: change Section to math
  * d/control: mark -Indep build dependencies as such
  * d/control: bump Standards-Version to 4.6.1
  * d/control: update package description
  * d/copyright: record debian/* copyright
  * d/patches: don't disable -O2 when testing
  * d/patches: backport install target from upstream
  * d/rules: honour nodoc build profile
  * d/rules: convert matrix_factorisation.inl to UTF-8
  * d/salsa-ci.yml: drop
  * d/tests: add pkg-config test
  * d/upstream/metadata: add FAQ and Documentation
  * d/watch: use GitHub's API

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sun, 04 Sep 2022 14:50:35 +0200

glm (0.9.9.8+ds-2) unstable; urgency=high

  * Team upload.
  * Orphan the package; drop Guus Sliepen from uploaders
    list. (See #963501)

  [ Leandro Cunha ]
  * Add debian/salsa-ci.yml.
  * Add debian/upstream/metadata.
  * debian/control:
    - Update debhelper-compat old 12 to 13.
    - Bump Standards-Version 4.6.0.

  [ Lukas Märdian ]
  * Add d/p/00-tests-no-optimization.patch to fix FTBFS with
    GCC-11. (LP: #1946750, Closes: #996241)

 -- Boyuan Yang <byang@debian.org>  Thu, 21 Oct 2021 21:54:25 -0400

=== debian/control ===
Source: glm
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andrea Pappacoda <tachi@debian.org>
Section: math
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dpkg-build-api (= 1),
Build-Depends-Indep: cmake (>= 3.20),
                     cmark <!nodoc>,
                     doxygen <!nodoc>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/glm
Vcs-Git: https://salsa.debian.org/science-team/glm.git
Homepage: https://glm.g-truc.net/

Package: libglm-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}
Description: C++ library for OpenGL GLSL type-based mathematics
 OpenGL Mathematics (GLM) is a header only C++ mathematics library
 for graphics software based on the OpenGL Shading Language (GLSL)
 specification.
 .
 GLM provides classes and functions designed and implemented with the
 same naming conventions and functionality than GLSL so that anyone who
 knows GLSL, can use GLM as well in C++.
 .
 This project isn't limited to GLSL features. An extension system, based
 on the GLSL extension conventions, provides extended capabilities: matrix
 transformations, quaternions, data packing, random numbers, noise, etc...
 .
 This library works perfectly with OpenGL but it also ensures
 interoperability with other third party libraries and SDK. It is a
 good candidate for software rendering (raytracing / rasterisation),
 image processing, physics simulations and any development context that
 requires a simple and convenient mathematics library.

Package: libglm-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Recommends: libjs-highlight.js, libjs-jquery
Description: documentation for the OpenGL Mathematics (GLM) library
 OpenGL Mathematics (GLM) is a header only C++ mathematics library
 for graphics software based on the OpenGL Shading Language (GLSL)
 specification.
 .
 This package contains the OpenGL Mathematics manual and API documentation
 in HTML format.

=== debian/tests/control ===
Tests: glm-tests, pkgconfig
Depends: cmake, g++ | c++-compiler, libglm-dev, pkg-config

=== debian/watch ===
Version: 5

# Matching-Pattern (and the whole watch file) can be removed when uscan
# bug #1111268 is fixed.
Template: GitHub
Owner: g-truc
Project: glm
Repacksuffix: +ds
Dversionmangle: auto
Matching-Pattern: https://api.github.com/repos/g-truc/glm/git/refs/tags/@ANY_VERSION@
